<?php
/**
*   This file can be used to upgrade your loagholic installation from the command line
*	Usage: php upgrade.php
*	If you get an error, you may have to invoke the script like this:
*	php -d open_basedir=/ upgrade.php
**/

# these are some functions added by michael, because he keeps forgetting to update the version number in the source of this file, so lets ask the user
function read() {
	if ($fp=fopen("/dev/stdin", "r")) {
		$input=fgets($fp, 255);
		fclose($fp);
		return str_replace("\n","",$input);
	} else {
		echo "\n\nYou may have to invoke the script like this:\n\n   php -d open_basedir=/ upgrade.php \n\n";
		exit();
	}
}
    
function getuserinput() {
	print("what version do you want to upgrade to (e.g. enter: logaholic-4.0.8.tar.gz or logaholic-install.zip):\n");
	$filename = read();
	return $filename;
}
function download($filename) {
	system("wget http://www.logaholic.com/logadl/$filename");
}

function copyfiles($filename) {
	if(strpos($filename,".tar.gz") !== false){
		$file = str_replace(".tar.gz","",$filename);
	} else {
		$file = str_replace(".zip","",$filename);
	}
	system("cp -rfp {$file}/logaholic/* ../../.");
}

function unpackfile($filename){
	if(strpos($filename,".tar.gz") !== false){
		system("gunzip {$filename}");
		$file = str_replace(".tar.gz","",$filename);
		system("tar -xvf {$file}.tar");
	} else {
		system("unzip {$filename}");
	}
}

function deletedownloadfiles($filename){
	if(strpos($filename,".tar.gz") !== false){
		$file = str_replace(".tar.gz","",$filename);
		system("rm -rf {$file}.tar");
		system("rm -rf {$file}");
	} else {
		$file = str_replace(".zip","",$filename);
		system("rm -rf {$file}.zip");
		system("rm -rf {$file}");
	}
}

if (php_sapi_name() !== 'cli') {
	die('This script can only be run from the command line');
}

$filename = getuserinput();
download($filename);
if(file_exists($filename)){
	unpackfile($filename);
	copyfiles($filename);
	deletedownloadfiles($filename); # deletes unpacked folders and the download zip file
} else {
	echo ("Failed to download the file (enter: logaholic-4.0.8.tar.gz or logaholic-install.zip):\n");
}
?>

