<?php
function CreatePDFContent($dash,$from="",$to="") {
	global $profile, $reports;
	
	flush();	
	ob_start();
	?>
	<style type='text/css'>
@page :left {
  margin-left: 2cm;
  margin-right: 2cm;
}

@page :right {
  margin-left: 2cm;
  margin-right: 2cm;
}

.dialog_info span:first-child {
	border:0px !important;
	margin-left: 0px !important;
	padding-left: 0px !important;
}

	</style>
	<script type="text/javascript">
	$(document).ready(function() {
		$("a").removeAttr("href");
		$("a").removeAttr("onclick");
		$("#mapArea").remove();
		
		var totalHeight = 0;
		var allowedHeight = 950;
		
		$(".readheight").each(function() {
			if ($(this).height() > allowedHeight) { // this one is going to be too long anyway, so lets just print it
				totalHeight += $(this).outerHeight();
			} else if(($(this).outerHeight() + totalHeight) >= allowedHeight) {
				$(this).css('page-break-before','always');
				totalHeight = $(this).outerHeight();
			} else {
				totalHeight += $(this).outerHeight();
			}
		});
		
	});
	</script>
	<?php
	$dashboard = json_decode(stripslashes(getProfileData($profile->profilename,$profile->profilename.".dashboards.$dash")),true);
	echo "<div id='print'>";
	echo "<h1 class='h1-title'>Web Analytics Report for {$profile->confdomain}</h1>";
	foreach($dashboard["reports"] as $grid) {		
		foreach($grid as $report) {
			if (!isset($report["label"])) {
				continue;
			}
			$r="";
			$r = new $reports[$report["label"]]["ClassName"]();
			
			parse_str($report["url"],$options);
			foreach($options as $option => $value) {
				$r->$option = $value;
			}
			
			if(!empty($r->profileselector)){
				$r->profile = new SiteProfile($r->profileselector);
			}
			
			if (!empty($from) && !empty($to)) {
				$r->from = $from;
				$r->to = $to;
			} else {
				$dr = DateToTimestamp($r->minimumDate, $r->maximumDate);
				$r->from = $dr['from'];
				$r->to = $dr['to'];
			}
			
			if(!isset($r->trafficsource)){
				$r->trafficsource = null;
				$r->applytrafficsource = false;
			}else{
				$r->applytrafficsource = true;
			}
			$r->displayReportLabel = true;
			$r->displayReportButtons = false;
			$r->sortTable=false;
			$r->animate_graph= 'false';
			echo "<div class='report readheight' style='clear:both;'>";
			$r->DisplayReport();
			echo "<div style='clear:both;'></div></div>";
		}	
	}

	echo "</div>";
	echo "<div style='text-align:center;padding:10px;font-size:10px;'>Report created by Logaholic Web Analytics http://www.logaholic.com/</div>";
	$content = ob_get_clean();
	return $content;
}
?>