<?php
# an array with all the reports in a profile.
$profile_reports = array();
foreach($reports as $lab => $rep){
	if($rep["Distribution"] == "Standard") {
		$profile_reports[$rep["Filename"]] = $lab;
	}
}

# New Downloaded Method
if (isset($profile) && $profile->profileloaded !== false) {
	$downloaded_reports = getProfileData($profile->profilename, "{$profile->profilename}.downloaded_reports", "");
	$is_download = array();
	if(!empty($downloaded_reports)) {
		$downloaded_reports = unserialize($downloaded_reports);
		foreach($downloaded_reports as $downloaded_report) {
			$dld_report_data = unserialize(getProfileData($profile->profilename, "{$profile->profilename}.report.{$downloaded_report}"));
			if(!empty($dld_report_data['expires_after'])) {
				if($dld_report_data['installDate'] + $dld_report_data['expires_after'] > time()) {
					$not_expired = true;
				} else {
					$not_expired = false;
				}
			} else {
				$not_expired = true;
			}
			if($not_expired == true) {
				$profile_reports[$downloaded_report] = 1;
			}
		}		
	}
}

# foreach report that is not in the profile reports array remove that report.
foreach($reports as $labl => $rep){
	if(isset($profile_reports[$rep["Filename"]])) {
		include_once "reports/" . $rep["Filename"].".php";
	} else {
		unset($reports[$labl]);
	}
}
?>