<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2011 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
/**
* @desc This report displays the used operating systems 
*/
$reports["_OPERATING_SYSTEMS"] = Array(
	"ClassName" => "OperatingSystems", 
	"Category" => "_CLIENT_SYSTEM", 
	"icon" => "images/icons/32x32/operatingsystems.png",
	"Options" => "daterangeField,profileselector,displaymode,trafficsource",
	"Filename" => "operating_systems",
	"Distribution" => "Standard",
	"Order" => 5,
	"ReportVersion" => 1.0,
	"MinimumVersion" => 3.0,
	"EmailAlerts" => true,
	"Update" => false
);

include_once "os_versions.php";
class OperatingSystems extends OSVersions {
	
	function Settings() {
		$this->DefaultDisplay = "pie";
		$this->DisplayModes = "table,pie";
		
		$this->label = _OS_VERSIONS;
		$this->columnDefinitions[] = array("Label" => "_OPERATING_SYSTEM");
		$this->columnDefinitions[] = array("Label" => "_VISITS");

		$this->sort_order = SORT_DESC;
		$this->sort_key = 1;
		$this->key_col = 3;
	}
	
	function GetReportData() {
		global $db, $get_constant;
		$this->createDataFiles($this->from,$this->to);	
		$data = $this->getDataFromFiles($this->dataFiles($this->from,$this->to));
		
		$newdata = array();		
		$newdata = $this->DataGroupBy($data,3);
		
		$data = array();
		$i = 0;
		
		foreach($newdata as $dat){
			$data[$i][0] = $dat[3];
			$data[$i][1] = $dat[1];
			$i ++;
		}		
		return $data;
	}
	
	function UpdateStats() {
		return false;		
	}
}
?>
